Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.record.flow
Interface IFlowRecord

All Superinterfaces:
  Comparable<IMonitoringRecord>, IMonitoringRecord, Serializable

All Known Subinterfaces:
  ICallObjectRecord, ICallRecord, IConstructorRecord, IEventRecord, IExceptionRecord, IInterfaceRecord, IObjectRecord, IOperationRecord, ITraceRecord

All Known Implementing Classes:
  AbstractEvent, AbstractMonitorEvent, AbstractOperationEvent, AbstractTraceEvent, AfterConstructorEvent, AfterConstructorFailedEvent, AfterConstructorFailedObjectEvent, AfterConstructorObjectEvent, AfterOperationEvent, AfterOperationFailedEvent, AfterOperationFailedObjectEvent, AfterOperationObjectEvent, BeforeConstructorEvent, BeforeConstructorObjectEvent, BeforeConstructorObjectInterfaceEvent, BeforeOperationEvent, BeforeOperationObjectEvent, BeforeOperationObjectInterfaceEvent, CallConstructorEvent, CallConstructorObjectEvent, CallOperationEvent, CallOperationObjectEvent, ConstructionEvent, JoinEvent, MonitorEntryEvent, MonitorExitEvent, MonitorNotifyAllEvent, MonitorNotifyEvent, MonitorRequestEvent, MonitorWaitEvent, SplitEvent, TraceMetadata

    public interface IFlowRecord

extends IMonitoringRecord

Since:
  1.5
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.common.record.IMonitoringRecord
`IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory`

Method Summary

Methods inherited from interface kieker.common.record.IMonitoringRecord
`getLoggingTimestamp, getSize, getValueTypes, initFromArray, initFromBytes, setLoggingTimestamp, toArray, toString, writeBytes`

Methods inherited from interface java.lang.Comparable
`compareTo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net